<script setup>
import { ref, reactive, defineProps, onMounted, computed } from 'vue';
import { useThemeStore } from "../stores/theme";
import AppimmoService from "../services/appimmo.service"
import Slider from '@vueform/slider'

const themeStore = useThemeStore();
const appimmoService = AppimmoService

const props = defineProps({
  // title: String,
  // items: Array [
  //   {name: String, link: String}
  // ]
})

const value = ref([0, 1000000])
const merge = ref(200000)
const step = ref(10000)

const parentTypes = computed(() => {
  return types.value.filter((type) => {
    return type.parent_type === null
  })
})

const types = ref([])
const getTypes = async () => {
  const response = reactive(await appimmoService.get('types'))
  types.value = response.data.types
}

const active = ref(false)

onMounted(() => {
  getTypes()
})
</script>

<template>
  <div class="max-w-sm bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
    <div class="w-full bg-[#374971] p-2">
      <h2 class="text-white text-xl font-medium">Recherche</h2>
    </div>
    <div class="p-2 sm:p-4 lg:p-6">
      <form class="space-y-6" action="#">
        <div>
          <label for="types" class="block mb-2 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Type de bien</label>
          <select id="types" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option v-for="type in parentTypes" :value="type.id">{{type.name}}</option>
          </select>

          <h5 class="block mb-10 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Prix</h5>
          <Slider
              :max="1000000"
              :step="1000"
              :merge="merge"
              v-model="value" />

          <h5 class="block mb-2 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Secteur</h5>
          <div class="columns-2">
            <select id="cities" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
              <option selected>Choose a country</option>
              <option value="US">United States</option>
              <option value="CA">Canada</option>
              <option value="FR">France</option>
              <option value="DE">Germany</option>
            </select>

            <select id="radius" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
              <option selected>Choose a country</option>
              <option value="US">United States</option>
              <option value="CA">Canada</option>
              <option value="FR">France</option>
              <option value="DE">Germany</option>
            </select>
          </div>

          <h5 class="block mb-2 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Pièces</h5>
          <select id="rooms" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Choose a country</option>
            <option value="US">United States</option>
            <option value="CA">Canada</option>
            <option value="FR">France</option>
            <option value="DE">Germany</option>
          </select>

          <select id="bedrooms" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Choose a country</option>
            <option value="US">United States</option>
            <option value="CA">Canada</option>
            <option value="FR">France</option>
            <option value="DE">Germany</option>
          </select>

          <h5 class="block mb-2 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Surface</h5>
          <select id="inner_surface" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Choose a country</option>
            <option value="US">United States</option>
            <option value="CA">Canada</option>
            <option value="FR">France</option>
            <option value="DE">Germany</option>
          </select>

          <select id="outer_surface" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
            <option selected>Choose a country</option>
            <option value="US">United States</option>
            <option value="CA">Canada</option>
            <option value="FR">France</option>
            <option value="DE">Germany</option>
          </select>

          <h5 class="block mb-2 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Proximité</h5>
          <h5 class="block mb-2 text-xl font-medium font-medium text-gray-900 dark:text-gray-400">Tags</h5>


        </div>

      </form>
    </div>
    <div class="w-full bg-[#374971] p-2">
      <h2 class="text-white text-xl font-medium">Enregistrer la recherche</h2>
    </div>
  </div>
</template>

<style src="@vueform/slider/themes/default.css"></style>
